Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSFontFaceRuleImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl
org.eclipse.e4.ui.css.core.impl.dom.CSSFontFaceRuleImpl

All Implemented Interfaces:
  `CSSFontFaceRule`, `CSSRule`

public class CSSFontFaceRuleImpl extends CSSRuleImpl implements CSSFontFaceRule

## Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

## Constructor Summary

Constructors
Constructor
Description
`CSSFontFaceRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule)`

## Method Summary

Modifier and Type
Method
Description
`CSSStyleDeclaration`
`getStyle()`
`short`
`getType()`
`void`
`setStyle(CSSStyleDeclaration decl)`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl

`getCssText, getParentRule, getParentStyleSheet, setCssText`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode

`getCSSParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.css.CSSRule

`getCssText, getParentRule, getParentStyleSheet, setCssText`

## Constructor Details

### CSSFontFaceRuleImpl

public CSSFontFaceRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule)

## Method Details

### getType

public short getType()

Specified by:
  `getType` in interface `CSSRule`
Specified by:
  `getType` in class `CSSRuleImpl`
See Also:
  - `CSSRule.getType()`

### getStyle

public CSSStyleDeclaration getStyle()

Specified by:
  `getStyle` in interface `CSSFontFaceRule`
See Also:
  - `CSSFontFaceRule.getStyle()`

### setStyle

public void setStyle(CSSStyleDeclaration decl)